Skip to main content
GET
Get a refund

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Refund internal ID (UUID format)

Example:

"018f8c1d-1234-7abc-9def-000000000001"

Response

OK

contestedParticipant
string
required
Example:

"87654321"

creationTime
string<date-time>
required
Example:

"2026-01-01T12:00:00Z"

id
string
required
Example:

"018f8c1d-1234-7abc-9def-000000000001"

lastModified
string<date-time>
required
Example:

"2026-01-01T12:30:00Z"

monitorAccount
boolean
required
Example:

false

refundAmount
string
required
Example:

"1000.00"

refundReason
enum<string>
required
Available options:
FRAUD,
OPERATIONAL_FLAW,
PIX_AUTOMATICO,
REFUND_CANCELLED
Example:

"OPERATIONAL_FLAW"

requestingParticipant
string
required
Example:

"12345678"

status
enum<string>
required
Available options:
OPEN,
CLOSED,
CANCELLED
Example:

"OPEN"

transactionId
string
required
Example:

"E12345678202601011200abcdef01234"

alreadySettledAmount
string
analysisDetails
string
analysisResult
enum<string>
Available options:
TOTALLY_ACCEPTED,
PARTIALLY_ACCEPTED,
REJECTED
bacenRefundId
string
Example:

"3d48532f-1a2b-4422-81c3-b7dc852e262b"

correlationId
string
Example:

"9f3a8b7e2c1d4e5a8b6f1a2b3c4d5e6f"

effectiveRefundedAmount
string
fundsRecoveryId
string
infractionReportId
string
refundAccount
object
refundDetails
string
Example:

"refund due to operational failure"

refundRejectionReason
enum<string>
Available options:
NO_BALANCE,
ACCOUNT_CLOSURE,
INVALID_REQUEST,
OTHER,
PARTICIPANT_EXCLUSION
refundTransactionId
string
settleReason
string
settleType
enum<string>
Available options:
REFUND,
MANUAL
surplusAmount
string